Closed Bug 955392 Opened 7 years ago Closed 7 years ago

Broken complete mar files generated during l10n repack

Categories

(Instantbird :: Localization, defect)

defect
Not set
blocker

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: florian, Unassigned)

References

Details

Attachments

(3 files)

*** Original post on bio 1954 at 2013-05-06 13:19:00 UTC ***

*** Due to BzAPI limitations, the initial description is in comment 1 ***
Blocks: 955262
Attached patch PatchSplinter Review
*** Original post on bio 1954 as attmnt 2427 at 2013-05-06 13:19:00 UTC ***

The attached patch merges the changes from mail/locales/Makefiles.in to instantbird/locales/Makefiles.in, the changes that seemed related in config/config.mk, and adds a define in build.mk.

I'm marking a dependency on the Mozilla 20 update bug, but it could really be any Moz update since 1.3 that broke this...
Attachment #8354194 - Flags: review?(bugzilla)
Comment on attachment 8354194 [details] [diff] [review]
Patch

*** Original change on bio 1954 attmnt 2427 at 2013-05-06 13:27:02 UTC ***

Looks good to me.
Attachment #8354194 - Flags: review?(bugzilla) → review+
*** Original post on bio 1954 at 2013-05-06 13:34:02 UTC ***

http://hg.instantbird.org/instantbird/rev/5fdd543f3e26 - 1.4 branch
http://hg.instantbird.org/instantbird/rev/71f11f2e226f - default branch.
Status: NEW → RESOLVED
Closed: 7 years ago
Resolution: --- → FIXED
Target Milestone: --- → 1.4
*** Original post on bio 1954 as attmnt 2431 at 2013-05-15 23:22:00 UTC ***

Revert a change that I shouldn't have made in the previous patch; this fixes the l10n repack of Mac universal builds.
Attachment #8354198 - Flags: review?(bugzilla)
*** Original post on bio 1954 as attmnt 2435 at 2013-05-16 20:29:00 UTC was without comment, so any subsequent comment numbers will be shifted ***
Comment on attachment 8354198 [details] [diff] [review]
Follow-up to fix l10n repackaging of Mac universal builds

*** Original change on bio 1954 attmnt 2431 at 2013-05-16 20:30:21 UTC ***

Looks good to me.
Attachment #8354198 - Flags: review?(bugzilla) → review+
Comment on attachment 8354202 [details] [diff] [review]
Follow up to fix win32 installer l10n repackaging

*** Original change on bio 1954 attmnt 2435 at 2013-05-16 20:31:13 UTC ***

We pair-programmed on this, r=me.
Attachment #8354202 - Flags: review+
You need to log in before you can comment on or make changes to this bug.